EPIC: Next deployment of portal page to production (bug fixes, remove inline JS)
Closed, ResolvedPublic

Description

This ticket is to track the next deployment of the portal page to production. We'll use this ticket to push into production the fixes / code updates that we've tested in Beta.

See list of blocking tickets to know what is getting deployed.

JGirault updated the task description. (Show Details)
JGirault raised the priority of this task from to Needs Triage.
JGirault added a subscriber: JGirault.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 27 2016, 10:37 PM
ksmith renamed this task from Next deployment to production to Next deployment of portal page to production.Jan 27 2016, 11:09 PM
ksmith set Security to None.
JGirault added a subscriber: debt.Feb 5 2016, 12:12 AM

@debt why is T124848 a blocker?
I can do it manually.

It was too tight to make it by 4pm (rebasing gave me too much pain).
Maybe we can deploy it tomorrow...
Otherwise we will try on Monday..

debt renamed this task from Next deployment of portal page to production to EPIC: Next deployment of portal page to production.Feb 5 2016, 7:31 PM
debt added a project: Epic.Feb 5 2016, 7:34 PM

Added Epic tag for this ticket - no points.

debt added a comment.Feb 5 2016, 9:23 PM

Today's Friday special release includes:

https://phabricator.wikimedia.org/T125185
https://phabricator.wikimedia.org/T125478
https://phabricator.wikimedia.org/T125102

The rest will go next week during normal production release timeframes.

debt renamed this task from EPIC: Next deployment of portal page to production to EPIC: Next deployment of portal page to production (bug fixes, remove inline JS).Feb 5 2016, 9:51 PM
JGirault added a subscriber: MSyed.EditedFeb 6 2016, 1:13 AM

@debt, @Jdrewniak, @MSyed, I uploaded the latest master to http://www.wikipedia.beta.wmflabs.org/

Please check. Scheduled deployment to production on Tuesday 12am UTC.

Change 268849 had a related patch set uploaded (by JGirault):
Bump portals to master (color standardization, CSS sprites, updated stats)

https://gerrit.wikimedia.org/r/268849

Change 268849 merged by jenkins-bot:
Bump portals to master (color standardization, CSS sprites, updated stats)

https://gerrit.wikimedia.org/r/268849

debt added a comment.Feb 10 2016, 1:10 AM

This went live on Monday, Feb 8

debt closed this task as Resolved.Feb 10 2016, 1:10 AM
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Feb 10 2016, 1:13 AM